Linux 安装指定版本GCC方法

时间:2021-2-26 作者:admin

第一步:安装默认版本gcc

首先我们需要安装一个gcc,我们使用yum命令来进行安装。

$ yum install gcc
$ yum install gcc-c++
  
  •  

这两个命令步骤还是很快的。之后我们可以查看我们的gcc版本

$ gcc --version
  
  •  

这个版本是根据yum版本来下载当前最新版的gcc的,所以可能每个人因为操作系统版本的不同而导致下载的gcc版本会不相同,那么接下来我们来说明一下如何安装指定版本的gcc。

第二步:下载指定版本GCC

首先,我们先到GCC官网去下载GCC的压缩包http://mirror.hust.edu.cn/gnu/gcc/,我们这里选择安装6.4.0版本。这里写图片描述
下载完成后,我们将其放到linux中的/usr/local路径下进行解压
这里写图片描述

第三步:下载编译所需依赖项

$ cd gcc-6.4.0
$ ./contrib/download_prerequisites 
$ cd ..
  
  • 第四步:建立编译后文件存放目录
$ mkdir gcc-build-6.4.0
$ cd gcc-build-6.4.0
$ ../gcc-6.4.0/configure --enable-checking=release --enable-languages=c,c++ --disable-multilib
  
  • 第五步:编译
$ make
  
  • 此步骤会用时很久,本人当时等了一上午。所以稍安勿躁了。

第六步:安装

$ make install
  
  •  

第七步:查看新版本

gcc --version
  
  •  

这里写图片描述

声明:本文内容由互联网用户自发贡献自行上传,本网站不拥有所有权,未作人工编辑处理,也不承担相关法律责任。如果您发现有涉嫌版权的内容,欢迎进行举报,并提供相关证据,工作人员会在5个工作日内联系你,一经查实,本站将立刻删除涉嫌侵权内容。